% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/calc_roc.R
\name{shift}
\alias{shift}
\title{lead function to shift by one (or more).}
\usage{
shift(x, shift_by = 1)
}
\arguments{
\item{x}{a vector of values}

\item{shift_by}{an integer of length 1, giving the number of positions 
to lead (positive) or lag (negative) by}
}
\description{
lead function to shift by one (or more).
}
\details{
Lead and lag are useful for comparing values offset by a constant 
(e.g. the previous or next value)

Taken from:
http://ctszkin.com/2012/03/11/generating-a-laglead-variables/

This function allows me to remove the dplyr::lead depends. Still suggest for vignettes though.
}
\examples{
d<-data.frame(x=1:15) 
#generate lead variable
d$df_lead2<-ggRandomForests:::shift(d$x,2)
#generate lag variable
d$df_lag2<-ggRandomForests:::shift(d$x,-2)
}

